package com.hyp.web.controller.reward;

import com.hyp.common.core.controller.BaseController;
import com.hyp.common.core.domain.entity.SysUser;
import com.hyp.common.core.page.TableDataInfo;
import io.swagger.annotations.Api;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * packageName com.hyp.web.controller.apply
 *
 * @author wangxy
 * @version JDK 8
 * @className TestController
 * @date 2024/4/10
 * @description 优秀学校奖申请
 */
@Api("优秀学校奖申请")
@RestController
@RequestMapping("/reward/apply")
public class ApplyController extends BaseController {


    @PreAuthorize("@ss.hasPermi('reward:apply:list')")
    @GetMapping("/list")
    public TableDataInfo list(SysUser user)
    {
        startPage();
        List<SysUser> list = null;
        return getDataTable(list);
    }

}
